Bug 27148 - ati (Rage Mobility mach64) - Higher Res Unusable on External Screen
ati (Rage Mobility mach64) - Higher Res Unusable on External Screen
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
: 30651 31637 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-12 10:47 EST by David Sainty
Modified: 2005-10-31 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-21 05:45:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sainty 2001-02-12 10:47:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.0-0.99.24 i686; en-US; m18)
Gecko/20010208


With RHL 7 and XFree86-4.0.1-1 I could use resolutions greater than that
supported by the notebook's attached panel. For example, with a 1024x768
notebook I could set X to run at 1280x1024, hook it up to an external
monitor, and have it work at 1280x1024.  With XFree86-4.0.2-7 my 1280x1024
ModeLines are now all eliminated because the mode "exceeds panel
dimensions". Looking at the source,
xc/programs/Xserver/hw/xfree86/drivers/ati/ativalid.c:87 eliminates these
modes. Although this was in the 4.0.1-1 RPM, lots has changed in the ATI
driver.

Reproducible: Always
Steps to Reproduce:
1.Install on Dell notebook, e.g. Latitude CPx 650
2.Connect monitor that supports greater than the highest resolution
supported by the notebook's panel.
3.Use Xconfigurator (for e.g.) to set the resolution in XF86Config-4.
4.Start X when the external monitor is active.	

Actual Results:  X eliminates the ModeLines you want to use with the
external monitor, and consequently:

- fails reporting that no valid modes can be found (potentially)
or
- uses a lower resolution.

Expected Results:  X should start in the higher resolution, on the external
monitor.
Comment 1 David Sainty 2001-02-22 13:05:32 EST
I upgraded to wolverine, and the first thing I had to do was "rpm -Uvh --force
--nodeps XFree86-4.0.1-1.i386.rpm" to get my 1280x1024 external display support
back again....
Comment 2 Mike A. Harris 2001-03-01 16:35:03 EST
This is a high priority bug IMHO, and I am working on it with Dell, and
others.  I might have to pull in some code from the trunk, or get Dell
to send a patch or something.  I have an M3 here to test with, but I dunno
if it yeilds the same results as the laptop version.  I don't have the
funny cables to connect it up to anything other than a normal monitor.

Hopefully something can be worked out though.  I'm making this a must-fix
Comment 3 Bill Nottingham 2001-03-08 17:59:21 EST
Does this work with XFree86-4.0.2-0.11.4, and the Xconfigurator available
at http://people.redhat.com/notting/Xconfigurator/

?
Comment 4 David Sainty 2001-03-10 14:02:02 EST
I tried with XFree86-4.0.2-12.1 + Xconfigurator-4.9.17-1 (the Xconfigurator you
mentioned above) and Xconfigurator-4.9.19-1.   No luck, exactly the same issue.
Is there something in particular that you hoped would work?

The ati driver, I could possibly try and debug if you needed.....  just remember
that this wasn't a problem with the RHL7 XFree86-4.0.1-1. :-)

Comment 5 Mike A. Harris 2001-03-14 20:37:15 EST
Please try the combo of XFree86-4.0.2-12.1 + Mesa 3.4-11 + the latest
rawhide kernel.

If not, does it work with XFree86-3.3.6?

Xconfigurator --preferxf3

Please report back ASAP as time is very much of the essense here.
Comment 6 Mike A. Harris 2001-03-15 20:49:16 EST
Update:  XFree86-4.0.2a-1, Mesa-3.4-12

Does this fix it?  If not what do "lspci -v" and "lspci -vn" show?
Comment 7 David Sainty 2001-03-17 13:37:26 EST
I'm on this now... You'll know very shortly.
Comment 8 David Sainty 2001-03-17 14:08:57 EST
Okay, XFree86-4.0.2a-2 and Mesa-3.4-12 applied.... "wolverineish" base (incl
kernel-2.4.2-0.1.20)

Still no luck....

XFree86 Version 4.0.2a / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 28 February 2001
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.17-8smp i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.1.log", Time: Sat Mar 17 18:58:58 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Dell 1701FP(Analog)"
(**) |   |-->Device "ATI Rage Mobility"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) XKB: layout: "gb"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 8

(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 0.1.0
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 0.1.0
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(--) PCI:*(1:0:0) ATI Mach64 LM rev 100, Mem @ 0xfd000000/24, 0xfcfff000/12, I/O
@ 0xec00/8
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 0.0.1
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 6.2.3(II) Loading
/usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.2.3) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
        ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
        ATI Rage 128 RL (AGP), ATI Rage 128 Pro PD (AGP),
        ATI Rage 128 Pro PF (AGP), ATI Rage 128 Mobility LE (PCI),
        ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
        ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP)
(II) Loading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 6.2.3
(==) ATI(0): Chipset:  "ati".
(**) ATI(0): Depth 16, (--) framebuffer bpp 16
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
(II) ATI(0): Primary V_BIOS segment is: 0xc000
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
        compiled for 4.0.2a, module version = 1.0.0
(II) ATI(0): VESA BIOS detected
(II) ATI(0): VESA VBE DDC supported
(--) ATI(0): ATI 3D Rage Mobility graphics controller detected.
(--) ATI(0): Chip type 4C4D "LM", version 4, foundry TSMC, class 0, revision 0x01.
(--) ATI(0): AGP bus interface detected;  block I/O base is 0xEC00.
(--) ATI(0): ATI Mach64 adapter detected.
(--) ATI(0): Internal RAMDAC (subtype 1) detected.
(==) ATI(0): RGB weight 565
(==) ATI(0): Default visual is TrueColor
(==) ATI(0): Using gamma correction (1.0, 1.0, 1.0)
(II) ATI(0): Using Mach64 accelerator CRTC.
(--) ATI(0): 1024x768 panel (ID 2) detected.
(--) ATI(0): Panel model Samsung LT141X4-156.
(--) ATI(0): Panel clock is 28.348 MHz.
(II) ATI(0): Using digital flat panel interface.
(II) ATI(0): Using 8 MB linear aperture at 0xFD000000.
(II) ATI(0): Using Block 0 MMIO aperture at 0xFCFFF400.
(II) ATI(0): Using Block 1 MMIO aperture at 0xFCFFF000.
(==) ATI(0): Write-combining range (0xfd000000,0x800000)
(II) ATI(0): MMIO write caching enabled.
(--) ATI(0): 8192 kB of SDRAM (1:1) detected.
(WW) ATI(0): Cannot shadow an accelerated frame buffer.
(--) ATI(0): Internal programmable clock generator detected.
(--) ATI(0): Reference clock 29.500 MHz.
(II) ATI(0): Maximum clock: 230.00 MHz
(WW) ATI(0): Default mode "640x350" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x400" deleted (hsync out of range)
(WW) ATI(0): Default mode "720x400" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "640x480" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "800x600" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1024x768" deleted (hsync out of range)
(WW) ATI(0): Default mode "1152x864" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x960" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x960" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1280x1024" deleted (exceeds panel dimensions)  <---
(WW) ATI(0): Default mode "1280x1024" deleted (exceeds panel dimensions)  <---
(WW) ATI(0): Default mode "1280x1024" deleted (exceeds panel dimensions)  <---
(WW) ATI(0): Default mode "1400x1050" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1400x1050" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1400x1050" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1400x1050" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1600x1200" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1792x1344" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1792x1344" deleted (bad mode clock/interlace/doublescan)
(WW) ATI(0): Default mode "1856x1392" deleted (exceeds panel dimensions)
(WW) ATI(0): Default mode "1856x1392" deleted (bad mode clock/interlace/doublescan)
(WW) ATI(0): Default mode "1920x1440" deleted (bad mode clock/interlace/doublescan)
(WW) ATI(0): Default mode "1920x1440" deleted (bad mode clock/interlace/doublescan)
(WW) ATI(0): Built-in mode "Native panel mode" deleted (hsync out of range)
(WW) ATI(0): Mode pool is empty
(II) Unloading /usr/X11R6/lib/modules/libvbe.a
(II) Unloading /usr/X11R6/lib/modules/libddc.a
(II) Unloading /usr/X11R6/lib/modules/linux/libint10.a
(II) Unloading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

See 1280x1024 modeline results above.  This does NOT happen with 4.0.1-1 (as I
mentioned before).  Everything looks fine except for the invalid logic - the ATI
driver only considers the res. of the laptop panel, not the res. of the attached
monitor (whether it be a flat panel or otherwise).

lspci -v
========================00:00.0 Host bridge: Intel Corporation 440BX/ZX -
82443BX/ZX Host bridge (rev 03)
        Flags: bus master, medium devsel, latency 32
        Memory at f4000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 03)
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 32
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: fc000000-feffffff

00:03.0 CardBus bridge: Texas Instruments PCI1225 (rev 01)
        Subsystem: Dell Computer Corporation: Unknown device 00bb
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=176
        Memory window 0: 10400000-107ff000 (prefetchable)
        Memory window 1: 10800000-10bff000
        I/O window 0: 00001000-000010ff
        I/O window 1: 00001400-000014ff
        16-bit legacy interface ports at 0001

00:03.1 CardBus bridge: Texas Instruments PCI1225 (rev 01)
        Subsystem: Dell Computer Corporation: Unknown device 00bb
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at 10001000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=06, subordinate=06, sec-latency=176
        Memory window 0: 10c00000-10fff000 (prefetchable)
        Memory window 1: 11000000-113ff000
        I/O window 0: 00001800-000018ff
        I/O window 1: 00001c00-00001cff
        16-bit legacy interface ports at 0001

00:07.0 Bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
        Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80
[Master])
        Flags: bus master, medium devsel, latency 32
        I/O ports at 0860 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at dce0 [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 03)
        Flags: medium devsel, IRQ 9

00:08.0 Multimedia audio controller: ESS Technology ES1983S Maestro-3i PCI Audio
Accelerator (rev 10)
        Subsystem: Dell Computer Corporation: Unknown device 00bb
        Flags: bus master, medium devsel, latency 32, IRQ 5
        I/O ports at d800 [size=256]
        Memory at faffe000 (32-bit, non-prefetchable) [size=8K]
        Capabilities: [c0] Power Management version 2

01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility P/M AGP 2x
(rev 64) (prog-if 00 [VGA])
        Subsystem: Dell Computer Corporation: Unknown device 00bb
        Flags: bus master, stepping, medium devsel, latency 32, IRQ 11
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        I/O ports at ec00 [size=256]
        Memory at fcfff000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [50] AGP version 1.0
        Capabilities: [5c] Power Management version 1

lspci -vn
=================================00:00.0 Class 0600: 8086:7190 (rev 03)
        Flags: bus master, medium devsel, latency 32
        Memory at f4000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 1.0

00:01.0 Class 0604: 8086:7191 (rev 03)
        Flags: bus master, 66Mhz, medium devsel, latency 32
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: fc000000-feffffff

00:03.0 Class 0607: 104c:ac1c (rev 01)
        Subsystem: 1028:00bb
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=176
        Memory window 0: 10400000-107ff000 (prefetchable)
        Memory window 1: 10800000-10bff000
        I/O window 0: 00001000-000010ff
        I/O window 1: 00001400-000014ff
        16-bit legacy interface ports at 0001

00:03.1 Class 0607: 104c:ac1c (rev 01)
        Subsystem: 1028:00bb
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at 10001000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=06, subordinate=06, sec-latency=176
        Memory window 0: 10c00000-10fff000 (prefetchable)
        Memory window 1: 11000000-113ff000
        I/O window 0: 00001800-000018ff
        I/O window 1: 00001c00-00001cff
        16-bit legacy interface ports at 0001

00:07.0 Class 0680: 8086:7110 (rev 02)
        Flags: bus master, medium devsel, latency 0

00:07.1 Class 0101: 8086:7111 (rev 01) (prog-if 80 [Master])
        Flags: bus master, medium devsel, latency 32
        I/O ports at 0860 [size=16]

00:07.2 Class 0c03: 8086:7112 (rev 01)
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at dce0 [size=32]

00:07.3 Class 0680: 8086:7113 (rev 03)
        Flags: medium devsel, IRQ 9

00:08.0 Class 0401: 125d:1998 (rev 10)
        Subsystem: 1028:00bb
        Flags: bus master, medium devsel, latency 32, IRQ 5
        I/O ports at d800 [size=256]
        Memory at faffe000 (32-bit, non-prefetchable) [size=8K]
        Capabilities: [c0] Power Management version 2

01:00.0 Class 0300: 1002:4c4d (rev 64)
        Subsystem: 1028:00bb
        Flags: bus master, stepping, medium devsel, latency 32, IRQ 11
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        I/O ports at ec00 [size=256]
        Memory at fcfff000 (32-bit, non-prefetchable) [size=4K]
      Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [50] AGP version 1.0
        Capabilities: [5c] Power Management version 1

Hope this helps...  do you need me to try hacking on this??



Comment 9 Mike A. Harris 2001-03-17 15:00:19 EST
AHA!!!  This is *NOT* a r128 Rage Mobility!!  (Personal eureka)

This means we have a common problem now between several people.  There is
another bug report or two against mach64 basedd mobility cards, and Preston is
also seeing this.  I don't have one to test here though.  Preston was looking
into this yesterday, so you might want to talk with him first.  Any help would
be greatly appreciated for sure!
Comment 10 Mike A. Harris 2001-03-17 15:41:09 EST
*** Bug 31637 has been marked as a duplicate of this bug. ***
Comment 11 Mike A. Harris 2001-03-17 15:41:58 EST
*** Bug 30651 has been marked as a duplicate of this bug. ***
Comment 12 David Sainty 2001-03-17 19:08:26 EST
Some more information on my progress....  "exceeds panel dimensions" message is
set in xfree86/common/xf86Mode.c, and corresponds to MODE_PANEL in
xfree86/common/xf86str.h .  The fn. ATIValidMode in
xc/programs/Xserver/hw/xfree86/drivers/ati/ativalid.c determines what modes are
valid and which aren't.

Now, I have inspected 4.0.1-1.3 (4.0.1a) and 4.0.2-6 since the first works and
second doesn't. Its not that 4.0.2 has added support for checking panel
dimensions (since this was in 4.0.1). What appears to be the case is that in
4.0.1(a) the ati driver correctly detected whether an external monitor was being
"used" or not - if so, it used external monitor details, if not, it used laptop
panel details.    4.0.2 with the same XF86Config-4 file _always_ assumes you're
using the laptop panel.

The bug appears to be in detection of, or setting a variable as to, whether the
external display is being "used" or not.
Comment 13 David Sainty 2001-03-17 19:34:01 EST
Okay....   http://www.xfree86.org/4.0.2/ati5.html#16   discusses the crt_screen
option.  It looks as though between 4.0.1 and 4.0.2 the handling of the
crt_screen option has _changed_.  (Its really useful to know this!!)

Current XF86Config-4 segment which WORKS for 1280x1024 external on a notebook
with 1024x768 panel:

Section "Monitor"
        Identifier "Dell 1701FP(Analog)"
        VendorName "Unknown"
        ModelName  "Unknown"
        HorizSync 31.0-80.0
        VertRefresh 56.0-76.0
        Option "dpms"

EndSection

Section "Device"
        Identifier "ATI Rage Mobility"
        Driver "ati"
        BoardName "Unknown"
        Option "crt_screen"     <-----
EndSection

Another option to maybe support in some way in the future!  The question is what
we should do next I suppose.
Comment 14 David Sainty 2001-03-17 19:44:59 EST
What I'm trying to work out is the logic in changing from something that seemed
to work fine before, to what we now have...

From http://www.xfree86.org/pipermail/newbie/2000-July/000076.html , Marc (the
author of the ATI code) says:

"""
Option "crt_screen" forces the driver to use CRT timings, essentially
ignoring the panel's existence.  If, despite this, you use the hot keys to
switch to the LCD, the panel will likely not sync to those timings,
especially for modes that don't match the panel's dimensions.  This
option will, however, allow modes larger than the panel (because it makes
the driver assume only the CRT will be used).
"""

hmmm....
Comment 15 Preston Brown 2001-03-19 15:57:48 EST
Mike:

Please bring this to the ati driver author's attention.  For now, we have 
removed it from the critical list as there is a workaround, even though it is 
clumsy.
Comment 16 Mike A. Harris 2001-03-19 21:42:01 EST
Ok, I'm sending the reports upstream to Marc Aurele La France, and
Kevin Martin.  Hopefully they might be able to help track this down and
possibly provide a fix, or some suggestions.
Comment 17 Mike A. Harris 2001-03-23 04:37:56 EST
Marc says these problems are at least partially fixed in the XFree86 trunk
code, and not easily backportable to the current 4.0.x branch.  As such,
this issue is not likely to be fixed properly until XFree86 4.1.0 is released.

The "crt_screen"  option is thus the recommended way of dealing with this
for the time being.

Defering until XFree86 4.1.0 is released and in the rawhide tree, tested
and working...
Comment 18 Bill Nottingham 2001-08-07 01:02:32 EDT
dsainty: does this work in the 7.2 beta?
Comment 19 Mike A. Harris 2001-08-15 22:25:12 EDT
David, can you please comment on wether or not this works in the
latest release of XFree86 4.1.0.  I know for a fact that the 4.1.0
codebase has much enhanced flat panel support, etc.

I have an eng sample of this card, but it of course does not have
a flat panel attached, so I can't reproduce your test conditions.
Please respond.

TIA
Comment 20 David Sainty 2001-08-21 05:45:26 EDT
I will need to borrow a screen and laptop in the office... I will attempt to do
this, this week.
Comment 21 Mike A. Harris 2001-10-31 21:37:55 EST
There have been no further reports of problems on this by anyone,
so I am assuming this bug is fixed now in Red Hat Linux 7.2.  If
the problem persists, please reopen the bug report.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.